Bug 1282497 - Creation of internal caches related to Indexing should use a good default or autoconfiguration
Creation of internal caches related to Indexing should use a good default or ...
Status: NEW
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan, Server (Show other bugs)
6.5.1
Unspecified Unspecified
high Severity high
: ---
: 6.6.0
Assigned To: Gustavo Fernandes
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 10:33 EST by wfink
Modified: 2017-06-13 13:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-7350 Major Resolved InfinispanIndexProvider should provide sensible defaults for index caches 2017-08-04 17:08 EDT

  None (edit)
Description wfink 2015-11-16 10:33:28 EST
Description of problem:
If a distributed cache enable indexing with the infinispan as provider, without any additional configuration, the necessary cahes are created with default settings.
This end up with local caches and the index is not shared, so a Query on different nodes will show different (wrong) results.

Actual results:
LuceneIndexesMetadata, LuceneIndexesLocking and LuceneIndexesData caches are created in local mode.

Expected results:
All three cahces should be created in a mode related to the cache and index.provider. Which can be local (local and REPL caches) or shared(REPL/DIST) if the cahce is distributed

Note You need to log in before you can comment on or make changes to this bug.